package com.liquidnet.service.goblin.dto.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 志愿者-项目职责组表
 * </p>
 *
 * @author jiangxiulong
 * @since 2022-04-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SmileVolunteersTeamVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * 职责组id
     */
    private String teamId;

    /**
     * 组名称
     */
    private String name;

    /**
     * 组介绍
     */
    private String introduce;

    /**
     * 是否选中
     */
    private Integer isCheck;


    private static final SmileVolunteersTeamVo obj = new SmileVolunteersTeamVo();

    public static SmileVolunteersTeamVo getNew() {
        try {
            return (SmileVolunteersTeamVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SmileVolunteersTeamVo();
        }
    }
}
